extends PanelContainer

## Изменяет состояние значка "прибор на связи"
func set_val(val: bool):
    $connect_pribor.set_frame(val)
    if val:
        $connect_pribor.modulate = Color(0.3, 1.0, 0.3, 1) # зелёный
        set_tooltip_text("Есть связь")
    else:
        $connect_pribor.modulate = modulate # изначальный
        set_tooltip_text("Нет связи")
